@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=DM+Serif+Display:ital@0;1&display=swap');
body {
  padding: 0;
  margin: 0;
  background-color: #fff;
}

p {
  font-family: 'DM Sans', sans-serif;
  color: #5d6169;
}

header {
  max-width: 100%;
  background: #658cc2;
  margin-bottom: 30px;
}

h1,
h2,
h3 {
  font-family: 'DM Serif Display', serif;
  text-align: center;
  color: black;
}

main {
  width: 95%;
  max-width: 1200px;
  margin: 0 auto;
}

.event img {
  width: 100%;
}

.nav-container {
  display: flex;
  justify-content: space-between;
  margin: 0 2em;
  color: #658cc2;
  font-weight: 400;
}

.banner-container {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  margin-bottom: 40px;
}

html{
  scroll-behavior: smooth;
}
.main-container {
  width: 50%;
}

.dropbtn {
  padding: 16px;
  font-size: 16px;
  border: none;
  color: #fff;
  font-weight: 700;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  font-family: 'DM Sans', sans-serif;
  background-color: #f1f1f1;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  color: #658cc2;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

nav ul {
  display: flex;
  justify-content: center;
  gap: 30;
  list-style: none;
  padding-top: 1em;
}

.banner {
  object-fit: cover;
  object-position: center;
  width: 40%;
  display: block;
}

.contact {
  color: black;
  margin-left: auto;
}

a {
  text-decoration: none;
  font-family: 'dm sans', sans-serif;
}

h1 a {
  color: #fff;
}

.event {
  background-color: #f8f8f8;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  padding: 20px;
  border-radius: 5px;
  transition: transform 0.2s ease-in-out;
}

.upcoming-events {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
}

.featured-events {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
}

.subscribe {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 20px;
  margin-top: 20px;
  margin-bottom: 40px;
}

form input[type='email'] {
  width: 300px;
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #ccc;
  margin-right: 10px;
}
form button[type='submit'] {
  background-color: royalblue;
  color: #fff;
  padding: 10px 20px;
  border-radius: 5px;
  border: 1px solid #ccc;
  cursor: pointer;
  transition: transform 0.2s ease-in-out;
}

form button[type='submit']:hover {
  background-color: #fff;
  color: royalblue;
  border: 2px solid royalblue;
  transform: translateY(-2px);
}

.foo {
  height: 220px;
}
.footer-container {
  background: #658cc2;
  width: 100%;
  margin: auto;
  display: flex;
}
.footer-content {
  width: 33.3%;
  text-align: center;
}

.footer-content p {
  margin: auto;
  padding: 5px;
  color: white;
}

.footer-content a {
  color: white;
  text-decoration: none;
}

.footer-content h3 {
  font-family: 'dm sans', serif;
  font-weight: 700;
  color: white;
}

.list {
  padding: 0;
}
.list li {
  width: auto;
  text-align: center;
  list-style-type: none;
  padding: 5px;
  position: relative;
}
.list li::before {
  content: '';
  position: absolute;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 100%;
  width: 0;
  height: 2px;
  background: #f1f1f1;
  transition-duration: 0.5s;
}
.list li:hover::before {
  width: 70px;
}

.social-icons {
  text-align: center;
  padding: 0;
}
.social-icons li {
  display: inline-block;
  text-align: center;
  padding: 5px;
}
.social-icons i {
  color: white;
  font-size: 25px;
}
a {
  text-decoration: none;
}
a:hover {
  color: #054bb4;
}
.social-icons i:hover {
  color: #054bb4;
}
.bottom-bar {
  background: #f1f1f1;
  text-align: center;
  margin-bottom: 0;
  margin: 0;
}
.bottom-bar p {
  color: #054bb4;
  margin: 0;
  font-size: 16px;
  padding: 7px;
}

.current-page {
  border-bottom: 2px solid #fff;
  padding: 10px 0;
}

.event:hover {
  transform: translateY(-5px);
}

.dropdown-content a:hover {
  background-color: #ddd;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.menu-toggle {
  display: none; 
}
.menu-toggle span {
  color: white;
  font-weight: 300;
}

@media screen and (max-width: 540px) {
  .menu-toggle {
    margin-top: -9%;
    margin-left: 90%;
      display: block; 
      cursor: pointer;
      font-size: larger;
  }

  nav {
      display: none; 
  }

  nav.active {
      display: flex; 
  }

  header {
    max-width: 100%;
  }
  
  .nav-container {
    display: block;
    justify-content: space-between;
    /* margin: 0 2em; */
    color: #658cc2;
    padding-bottom: 3%;
    font-weight: 400;
  }
  .nav-container h1{
    margin-top: 0%;
    margin-left: -65%;
    padding-top: 10%;
    font-size: 150%;
  }
  nav ul {
    display: flex;
    justify-content: center;
    gap: 30;
    list-style: none;
    padding-top: 1em;
  }
  nav{
    margin-left: 10%;
  }
  .banner-container {
    display: block;
    justify-content: space-evenly;
    align-items: center;
    margin-bottom: 40px;
  }
  .banner-container img{
    /* margin-top: -70%; */
    width: 100%;
  }
  .main-container {
    width: 100%;
  }
}
